/** @file 

SaveAsImageEvent implementation

Copyright (C) 2004   The Board of Trustees of The Leland Stanford
Junior University.  All Rights Reserved.

$Id: SaveAsImageEvent.cxx,v 1.4 2006/05/05 23:42:22 pfkeb Exp $
*/

#include "SaveAsImageEvent.h"

#if QT_VERSION < 0x040000
#else
//Added by the Qt porting tool:
#include <QtCore/QCustomEvent>
#include <QtCore/QEvent>
#endif


namespace hippodraw {

SaveAsImageEvent::
SaveAsImageEvent ( const PlotterBase * plotter, 
		   const std::string & filename )
  : QCustomEvent ( QEvent::User, const_cast < PlotterBase * > ( plotter ) ),
    m_filename ( filename )
{
}

SaveAsImageEvent::
SaveAsImageEvent ( const SaveAsImageEvent & event )
  : QCustomEvent ( event ),
    m_filename ( event.m_filename )
{
}

SaveAsImageEvent::~SaveAsImageEvent ()
{
}

PlotterBase *
SaveAsImageEvent::
plotter ( ) const
{
  void * pointer = data();

  return reinterpret_cast < PlotterBase * > ( pointer );
}

const std::string & 
SaveAsImageEvent::
filename () const
{
  return m_filename;
}

} // namespace hippodraw

